.textEellipsis {
  display: block;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}
.clearF:after {
  display: block;
  content: '';
  width: 0;
  height: 0;
  clear: both;
}
.userSelect {
  user-select: none;
  -ms-user-select: none;
  -moz-user-select: none;
}
.floatL {
  float: left;
}
.floatR {
  float: right;
}
.totalIconCss {
  font-family: "iconfont" !important;
  font-size: 12px;
  font-style: normal;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.dFlex {
  display: flex;
  justify-content: center;
  align-items: center;
}
.craft-banner {
  background: url('../images/craft-show-v2/craft-show-banner.png') no-repeat center;
  width: 100%;
  height: 300px;
  min-width: 1400px;
  background-size: cover;
}
.craft-banner .banner-var {
  padding-top: 64px;
  padding-left: 122px;
}
.craft-banner .var-title {
  font-weight: 800;
  font-size: 48px;
  color: #333333;
}
.craft-banner .jump-link {
  height: 44px;
  line-height: 44px;
  background: #00A63F;
  display: inline-block;
  border-radius: 4px;
  width: 140px;
  text-align: center;
  font-size: 16px;
  color: #FFFFFF;
  margin-top: 40px;
  transition: all 0.3s;
}
.craft-banner .jump-link:hover {
  background: #70d614;
  box-shadow: 0px 10px 15px 0px rgba(0, 70, 54, 0.16);
}
.craft-table-module {
  background-color: #f6f6fa;
  padding: 40px 0 64px;
}
.craft-table-module .craft-region {
  position: relative;
}
.craft-table-module .craft-region:after {
  display: block;
  content: '';
  width: 0;
  height: 0;
  clear: both;
}
.craft-table-module .animate-el.fly {
  position: fixed;
  top: -47px;
}
.craft-table-module .animate-el .side-nav-box {
  float: left;
  width: 110px;
  position: absolute;
  top: 64px;
}
.craft-table-module .animate-el .side-nav-box a {
  border-radius: 4px;
  height: 42px;
  line-height: 42px;
  text-align: center;
  padding: 0 20px;
  box-sizing: border-box;
  margin-bottom: 2px;
  display: block;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  font-size: 14px;
  color: #999999;
  background-color: #ffffff;
}
.craft-table-module .animate-el .side-nav-box a.active {
  background: #65779c;
  color: #FFFFFF;
  font-size: 16px;
}
.craft-table-module .table-box {
  float: right;
  width: 1280px;
}
.craft-table-module .table-box table {
  width: 100%;
  border-collapse: collapse;
}
.craft-table-module .table-box table tr {
  border-bottom: 1px solid #f2f3f5;
  position: relative;
}
.craft-table-module .table-box table tr.active:after {
  width: 100%;
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  background-color: rgba(226, 228, 232, 0.2) !important;
  box-sizing: unset;
  z-index: 4 !important;
}
.craft-table-module .table-box table tr[data-hover='a']:hover:after,
.craft-table-module .table-box table tr[data-hover='b']:hover:after,
.craft-table-module .table-box table tr[data-hover='c']:hover:after,
.craft-table-module .table-box table tr[data-hover='d']:hover:after,
.craft-table-module .table-box table tr[data-hover='e']:hover:after,
.craft-table-module .table-box table tr[data-hover='f']:hover:after,
.craft-table-module .table-box table tr[data-hover='g']:hover:after,
.craft-table-module .table-box table tr[data-hover='h']:hover:after,
.craft-table-module .table-box table tr[data-hover='i']:hover:after,
.craft-table-module .table-box table tr[data-hover='j']:hover:after,
.craft-table-module .table-box table tr[data-hover='k']:hover:after {
  background-color: rgba(226, 228, 232, 0.2);
  z-index: -1;
}
.craft-table-module .table-box table tr.forbid:after {
  display: none;
}
.craft-table-module .table-box table tr:hover:after {
  width: 100%;
  height: 100%;
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  background-color: rgba(226, 228, 232, 0.2);
  box-sizing: unset;
}
.craft-table-module .table-box table th {
  position: relative;
  background-color: #f5f6f7;
}
.craft-table-module .table-box table th .dt {
  width: 475px;
  height: 64px;
  line-height: 64px;
  border-top-left-radius: 24px;
  border-top-right-radius: 24px;
  color: #fff;
  font-size: 20px;
  font-weight: 500;
}
.craft-table-module .table-box table th .dt.des1 {
  width: 330px;
  background: linear-gradient(90deg, #d8d8d9 0%, #b8bcc3 100%);
}
.craft-table-module .table-box table th .dt.des2 {
  background: linear-gradient(90deg, #A1A1C9 0%, #5D6094 100%);
  margin-left: -2px;
}
.craft-table-module .table-box table th .dt.des3 {
  background: linear-gradient(90deg, #EEDBC9 0%, #C49B83 100%);
  margin-left: -2px;
}
.craft-table-module .table-box table td {
  padding: 14px 30px;
  font-size: 14px;
  line-height: 24px;
  color: #001100;
  border-right: 1px solid #f2f3f5;
  position: relative;
  z-index: 4;
}
.craft-table-module .table-box table td:first-child {
  position: relative;
  z-index: 5;
}
.craft-table-module .table-box table td:first-child:after {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  content: '';
  display: none;
  background-color: #f7f8fa;
}
.craft-table-module .table-box table td.mill-title {
  font-weight: bold;
  font-size: 18px;
  background: #F5F6F7;
}
.craft-table-module .table-box table td.mill-title .tag {
  font-size: 12px;
  vertical-align: bottom;
}
.craft-table-module .table-box table td.line-bg {
  height: 10px;
  background-color: #f3f3f7;
  padding: unset;
}
.craft-table-module .table-box table td:last-child {
  border-right: none;
}
.craft-table-module .table-box table tbody {
  box-shadow: 0 4px 18px rgba(0, 0, 0, 0.05);
  border-radius: 3px;
  background-color: #fff;
  margin-bottom: 9px;
  box-sizing: border-box;
}
